### Constructor

# Nautilus Column new

#### Declaration [src]

    NautilusColumn*
    nautilus_column_new (
      const char* name,
      const char* attribute,
      const char* label,
      const char* description
    )

#### Description [src]

Creates a new `NautilusColumn` object.

#### Parameters

`name`

  Type: `const char*`

  Identifier of the column.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`attribute`

  Type: `const char*`

  The file attribute to be displayed in the column.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  The user-visible label for the column.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  A user-visible description of the column.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `NautilusColumn`

A new `NautilusColumn`.

The caller of the function takes ownership of the data, and is responsible for freeing it.